package io.scanbot.sdk.flutter.camera.config

import android.graphics.PointF

class CroppingViewConfig {

    // The cropping view cropping rectangle width
    var edgeLineWidth: Float? = null

    // Color of the lines of cropping rectangle
    var edgeColor: String? = null

    // Color of the lines of cropping rectangle when they are snapped to the line
    var edgeColorOnLine: String? = null

    // Color of the lines of cropping rectangle
    var anchorPointsColor: String? = null

    var borderInsets: Inset? = null

}

class CroppingResult(val polygon: List<PointF>, val rotationTimesCw :Int)